Create or update SIP UAC configuration for an agent

Required scope: convai:write

Path Parameters
  • id
    Type: string
    required

    Agent ID

Body·
required
application/json
  • sip_domain
    Type: string
    required
  • sip_username
    Type: string
    required
  • aor
    Type: string | null
  • sip_password
    Type: string | null
  • sip_registrar
    Type: string | null
Responses
  • application/json
  • 400

    Invalid request or SIP UAC not supported for this provider

  • application/json
  • 404

    Agent not found

Request Example for put/agents/{id}/sip-uac
curl 'https://api.simwood.com/convai/v1/agents/{id}/sip-uac' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "sip_username": "",
  "sip_domain": "",
  "sip_password": null,
  "sip_registrar": null,
  "aor": null
}'
{
  "aor": "string",
  "sip_domain": null,
  "sip_username": null,
  "sip_registrar": null
}